Loading...
Searching...
No Matches
janus_options Struct Reference

Struct containing the parsed command line options for Janus. More...

`#include <options.h>`

## Data Fields

gboolean | daemon
const char * | pid_file
gboolean | disable_stdout
gboolean | log_stdout
const char * | log_file
const char * | log_rotate_sig
int64_t | check_openfiles_limit
const char * | cwd_path
const char * | interface
const char * | plugins_folder
const char * | config_file
const char * | configs_folder
const char * | cert_pem
const char * | cert_key
const char * | cert_pwd
const char * | stun_server
const char * | nat_1_1
gboolean | keep_private_host
const char * | ice_enforce_list
const char * | ice_ignore_list
gboolean | ipv6_candidates
gboolean | ipv6_link_local
gboolean | full_trickle
gboolean | ice_lite
gboolean | ice_tcp
int | min_nack_queue
int | no_media_timer
int | slowlink_threshold
const char * | rtp_port_range
int | twcc_period
const char * | server_name
int | session_timeout
int | reclaim_session_timeout
int | debug_level
gboolean | debug_timestamps
gboolean | disable_colors
gboolean | debug_locks
const char * | apisecret
gboolean | token_auth
const char * | token_auth_secret
gboolean | event_handlers
gboolean | no_webrtc_encryption
gboolean | print_version

## Detailed Description

Struct containing the parsed command line options for Janus.

## Field Documentation

## apisecret

const char* janus_options::apisecret

## cert_key

const char* janus_options::cert_key

## cert_pem

const char* janus_options::cert_pem

## cert_pwd

const char* janus_options::cert_pwd

## check_openfiles_limit

int64_t janus_options::check_openfiles_limit

## config_file

const char* janus_options::config_file

## configs_folder

const char* janus_options::configs_folder

## cwd_path

const char* janus_options::cwd_path

## daemon

gboolean janus_options::daemon

## debug_level

int janus_options::debug_level

## debug_locks

gboolean janus_options::debug_locks

## debug_timestamps

gboolean janus_options::debug_timestamps

## disable_colors

gboolean janus_options::disable_colors

## disable_stdout

gboolean janus_options::disable_stdout

## event_handlers

gboolean janus_options::event_handlers

## full_trickle

gboolean janus_options::full_trickle

## ice_enforce_list

const char* janus_options::ice_enforce_list

## ice_ignore_list

const char* janus_options::ice_ignore_list

## ice_lite

gboolean janus_options::ice_lite

## ice_tcp

gboolean janus_options::ice_tcp

## interface

const char* janus_options::interface

## ipv6_candidates

gboolean janus_options::ipv6_candidates

## ipv6_link_local

gboolean janus_options::ipv6_link_local

## keep_private_host

gboolean janus_options::keep_private_host

## log_file

const char* janus_options::log_file

## log_rotate_sig

const char* janus_options::log_rotate_sig

## log_stdout

gboolean janus_options::log_stdout

## min_nack_queue

int janus_options::min_nack_queue

## nat_1_1

const char* janus_options::nat_1_1

## no_media_timer

int janus_options::no_media_timer

## no_webrtc_encryption

gboolean janus_options::no_webrtc_encryption

## pid_file

const char* janus_options::pid_file

## plugins_folder

const char* janus_options::plugins_folder

## print_version

gboolean janus_options::print_version

## reclaim_session_timeout

int janus_options::reclaim_session_timeout

## rtp_port_range

const char* janus_options::rtp_port_range

## server_name

const char* janus_options::server_name

## session_timeout

int janus_options::session_timeout

## slowlink_threshold

int janus_options::slowlink_threshold

## stun_server

const char* janus_options::stun_server

## token_auth

gboolean janus_options::token_auth

## token_auth_secret

const char* janus_options::token_auth_secret

## twcc_period

int janus_options::twcc_period

The documentation for this struct was generated from the following file:

- options.h